Skip to main content
DELETE
/
api
/
v2
/
organizations
/
{organizationId}
/
memberships
cURL
curl --request DELETE \
  --url https://us.infisical.com/api/v2/organizations/{organizationId}/memberships \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "membershipIds": [
    "<string>"
  ]
}
'
{
  "memberships": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "invited",
      "inviteEmail": "<string>",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectFavorites": [
        "<string>"
      ],
      "isActive": true,
      "lastInvitedAt": "2023-11-07T05:31:56Z",
      "lastLoginAuthMethod": "<string>",
      "lastLoginTime": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

organizationId
string
required

The ID of the organization to delete the memberships from.

Body

application/json
membershipIds
string[]
required

The IDs of the memberships to delete.

Response

Default Response

memberships
object[]
required